# -*- encoding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |s|
  s.name    = 'archestry_lookup'.freeze
  s.version = '0.0.19'
  s.authors = ['Eugene Istomin'.freeze]
  s.email   = ['info@innosense.org'.freeze]
  s.license = 'CC-BY-SA-4.0'
  
  s.homepage    = 'https://gitlab.com/Innosense/Archestry/archestry_lookup'.freeze
  s.description = 'Dialect lookup'.freeze
  s.summary     = 'Dialect lookup'.freeze
  
  s.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  s.bindir        = 'exe'
  s.executables   = %w[archestry_lookup]
  s.require_paths = ['lib'.freeze, 'bin'.freeze]
  
  s.required_ruby_version = '>= 2.5'  

  s.add_runtime_dependency 'oj',        '~> 3.9'
  s.add_runtime_dependency 'json',      '~> 2.2'
  s.add_runtime_dependency 'sqlite3',   '~> 1.4'  

end


